Subject: Re: Fortran Installation
From: Brian Inglis <[email-masked]>
To: [email-masked]
Cc: Lou Umscheid <[email-masked]>
Date: Sun, 3 Jan 2021 11:37:17 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-01-03 11:22, Lou Umscheid via Cygwin wrote:
> On 1/3/2021 12:28 PM, Brian Inglis wrote:
>> On 2021-01-03 09:44, Lou Umscheid via Cygwin wrote:
>>> I would like to install Fortran on newly installed Cygwin64 on my new LG 
>>> laptop. I did this 9+ years ago for Cygwin32 on my Dell T1600 which is now 
>>> fading. The process 9 years ago was long and hard over several weeks with 
>>> many fallbacks and redo's. I am competent in Fortran programming but have 
>>> only a minimum knowledge of Linux/Unix. Can anyone point me to a guide (I 
>>> searched but could not find any) to installing Fortran, including which files 
>>> to download, PATH, alias changes, etc. I know it is a lot to ask, but ANY 
>>> help would be appreciated.
>>
>> To get a list of manually picked and installed packages in your current Cygwin 
>> installation (excluding library packages except if they are devel or doc 
>> packages) run the following command against your current installation:
>>
>> $ awk '$3 && ($1 !~ /^lib/ || $1 ~ /-(devel|doc)/) {print $1}' \
>>     /etc/setup/installed.db | tee cygwin-packages-picked.txt
>>
>> * transfer the file cygwin-packages-picked.txt to your new system e.g. your 
>> Windows account Downloads folder on your new system,
>> * download https://cygwin.com/setup-x86_64.exe to e.g. your Windows account 
>> Downloads folder on your new system,
>> * run setup-x86_64 on your new system with no selections to install a basic 
>> Cygwin installation for you, then
>> * start a Cygwin shell in a terminal session, and
>> * rerun the Cygwin setup program with e.g.:
>>
>> $ cygstart /proc/cygdrive/c/Users/.../Downloads/setup-x86_64 \
>> -P "`cat /proc/cygdrive/c/Users/.../Downloads/cygwin-packages-picked.txt`"
>>
>> to start installing the manually picked packages you had on your old system 
>> (dependencies will be automatically pulled in):
>> * you *MUST* exit your Cygwin shell and terminal, and ensure that you have no 
>> other Cygwin processes still running, before allowing the Cygwin setup program 
>> to proceed; and
>> * wait patiently for all the package downloads, installations, and 
>> post-install scripts to run to completion, before trying to do anything more 
>> under Cygwin on your new system.

> wow; thanks for quick response. I tried running your first command but got
> the message:
> 
> awk: fatal: cannot open file ' /etc/setup/installed.db' for reading (No such 
> file or directory) >
> The file seems to be there and I checked my input so I do not know what when 
> wrong. Any suggestions?
File name shown is ' /etc/setup/installed.db' - includes a leading space - do 
not use any quotes or add spaces in file names - or just paste the second line 
at the end of the first line, with an (unquoted) space between if required.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple